is.closed {arules} | R Documentation

## Find Closed Itemsets

### Description

Provides the generic function and the S4 method `is.closed` for finding closed itemsets. The closure of an itemset is its largest proper superset which has the same support (is contained in exactly the same transactions). An itemset is closed, if it is its own closure (Pasquier et al. 1999).

### Usage

    is.closed(x)

### Arguments

`x` | a set of itemsets.

### Value

a logical vector with the same length as `x` indicating for each element in `x` if it is a closed itemset.

### Author(s)

Michael Hahsler

### References

Nicolas Pasquier, Yves Bastide, Rafik Taouil, and Lotfi Lakhal (1999). Discovering frequent closed itemsets for association rules. In Proceeding of the 7th International Conference on Database Theory, Lecture Notes In Computer Science (LNCS 1540), pages 398–416. Springer, 1999.

### See Also

`itemsets-class`

[Package arules version 1.6-3 Index]